<testsuites>
  <!--Report is generated by Rally 3.1.1~dev5 at 2020-05-31T10:25:45.134514-->
  <testsuite errors="0" failures="0" id="403b259a-057f-47cf-9e6b-5329e607bd2f" skipped="10" tests="82" time="1963.85" timestamp="2020-05-31T09:51:46">
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_ipv6_traffic_ops.IPv6TrafficOperationsScenarioTest" id="dd75f41a-5b29-47ad-963d-3434f1056ca3" name="test_ipv6_vip_ipv6_members_traffic" time="0.000">
      <skipped>IPv6 traffic ops tests require Octavia IPv6 testing enabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_ipv6_traffic_ops.IPv6TrafficOperationsScenarioTest" id="26317013-a9b5-4a00-a993-d4c55b764e40" name="test_ipv6_vip_ipv6_members_udp_traffic" time="0.000">
      <skipped>IPv6 traffic ops tests require Octavia IPv6 testing enabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_ipv6_traffic_ops.IPv6TrafficOperationsScenarioTest" id="219ac17d-c5c1-4e7e-a9d5-0764d7ce7746" name="test_ipv6_vip_mixed_ipv4_ipv6_members_traffic" time="0.000">
      <skipped>IPv6 traffic ops tests require Octavia IPv6 testing enabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_ipv6_traffic_ops.IPv6TrafficOperationsScenarioTest" id="c468434d-bc84-4bfa-825f-d4761daa0d76" name="test_ipv6_vip_mixed_ipv4_ipv6_members_udp_traffic" time="0.000">
      <skipped>IPv6 traffic ops tests require Octavia IPv6 testing enabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor.FlavorAPITest" id="7e8f39ce-53e0-4364-8778-6da9b9a59e5a" name="test_flavor_create" time="0.233" timestamp="2020-05-31T09:52:04+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor.FlavorAPITest" id="dfe9173a-26f3-4bba-9e69-d2b817ff2b86" name="test_flavor_delete" time="0.159" timestamp="2020-05-31T09:52:05+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor.FlavorAPITest" id="3ef040ee-fe7e-457b-a56f-8b152f7afa3b" name="test_flavor_list" time="0.612" timestamp="2020-05-31T09:52:05+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor.FlavorAPITest" id="7492a862-4011-4924-8e81-70763f479cf8" name="test_flavor_show" time="0.118" timestamp="2020-05-31T09:52:05+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor.FlavorAPITest" id="3d9e2820-a68e-4db9-bf94-53cbcff2dc15" name="test_flavor_update" time="0.168" timestamp="2020-05-31T09:52:05+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor_capabilities.FlavorCapabilitiesAPITest" id="df837ee3-ca4b-4a4d-a7a3-27fa57cf3a33" name="test_flavor_capabilities_list" time="0.298" timestamp="2020-05-31T09:52:08+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor_profile.FlavorProfileAPITest" id="d0e3a08e-d58a-4460-83ed-34307ca04cde" name="test_flavor_profile_create" time="0.383" timestamp="2020-05-31T09:52:33+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor_profile.FlavorProfileAPITest" id="4c2eaacf-c2c8-422a-b7dc-a30ceba6bcd4" name="test_flavor_profile_delete" time="0.157" timestamp="2020-05-31T09:52:34+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor_profile.FlavorProfileAPITest" id="c4e17fdf-849a-4132-93ae-dfca21ce4444" name="test_flavor_profile_list" time="0.430" timestamp="2020-05-31T09:52:34+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor_profile.FlavorProfileAPITest" id="a2c2ff9a-fce1-42fd-8cfd-56dea31610f6" name="test_flavor_profile_show" time="0.108" timestamp="2020-05-31T09:52:34+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_flavor_profile.FlavorProfileAPITest" id="32a2e285-8dfc-485f-a450-a4d450d3c3ec" name="test_flavor_profile_update" time="0.157" timestamp="2020-05-31T09:52:34+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_amphora.AmphoraAPITest" id="fb772680-b2ba-4fc3-989b-95ad8492ccaf" name="test_amphora_failover" time="50.826" timestamp="2020-05-31T09:53:08+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_listener.ListenerAPITest" id="88d0ec83-7b08-48d9-96e2-0df1d2f8cd98" name="test_listener_create" time="10.653" timestamp="2020-05-31T09:53:26+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_listener.ListenerAPITest" id="cceac303-4db5-4d5a-9f6e-ff33780a5f29" name="test_listener_create_on_same_port" time="10.751" timestamp="2020-05-31T09:53:37+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_listener.ListenerAPITest" id="16f11c82-f069-4592-8954-81b35a98e3b7" name="test_listener_delete" time="10.921" timestamp="2020-05-31T09:53:48+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_amphora.AmphoraAPITest" id="a0e9ff99-2c4f-45d5-81c9-78d3107c236f" name="test_amphora_list_and_show" time="58.849" timestamp="2020-05-31T09:53:58+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_listener.ListenerAPITest" id="78ba6eb0-178c-477e-9156-b6775ca7b271" name="test_listener_list" time="93.205" timestamp="2020-05-31T09:53:58+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7policy.L7PolicyAPITest" id="eba4ddc2-758b-4dd5-bd28-c1b41d6575ca" name="test_l7policy_create_redirect_pool" time="5.745" timestamp="2020-05-31T09:54:02+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7policy.L7PolicyAPITest" id="2b529135-71bc-46f7-912f-74d238d67190" name="test_l7policy_create_redirect_url" time="5.663" timestamp="2020-05-31T09:54:08+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7policy.L7PolicyAPITest" id="aa9b0d50-0d16-4365-85eb-846b17eb8398" name="test_l7policy_create_reject" time="5.634" timestamp="2020-05-31T09:54:13+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7policy.L7PolicyAPITest" id="7925eb4b-94b6-4c28-98c2-fd0b4f0976cc" name="test_l7policy_delete" time="11.060" timestamp="2020-05-31T09:54:19+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7policy.L7PolicyAPITest" id="42fa14ba-caf1-465e-ab36-27e7501f95ef" name="test_l7policy_list" time="47.405" timestamp="2020-05-31T09:54:30+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_amphora.AmphoraAPITest" id="b7fc231b-dcfa-47a5-99f3-ec5ddcc48f30" name="test_amphora_update" time="0.178" timestamp="2020-05-31T09:54:57+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7policy.L7PolicyAPITest" id="baaa8104-a037-4976-b908-82a0b3e08129" name="test_l7policy_show" time="17.021" timestamp="2020-05-31T09:55:17+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_listener.ListenerAPITest" id="6e299eae-6907-4dfc-89c2-e57709d25d3d" name="test_listener_show" time="16.228" timestamp="2020-05-31T09:55:32+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7policy.L7PolicyAPITest" id="08f73b22-550b-4e5a-b3d6-2ec03251ca13" name="test_l7policy_update" time="22.574" timestamp="2020-05-31T09:55:34+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_listener.ListenerAPITest" id="6f14a6c1-945e-43bc-8215-410c8a5edb25" name="test_listener_show_stats" time="16.288" timestamp="2020-05-31T09:55:48+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_listener.ListenerAPITest" id="aaae0298-5778-4c7e-a27a-01549a71b319" name="test_listener_update" time="11.319" timestamp="2020-05-31T09:56:04+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_healthmonitor.HealthMonitorAPITest" id="30288670-5772-40c2-92e6-6d4a6d62d029" name="test_healthmonitor_create" time="21.487" timestamp="2020-05-31T09:56:17+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_healthmonitor.HealthMonitorAPITest" id="a7bab4ac-340c-4776-ab9d-9fcb66869432" name="test_healthmonitor_delete" time="21.477" timestamp="2020-05-31T09:56:38+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_healthmonitor.HealthMonitorAPITest" id="c9a9f20c-3680-4ae8-b657-33c687258fea" name="test_healthmonitor_list" time="68.005" timestamp="2020-05-31T09:57:00+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7rule.L7RuleAPITest" id="55ac1337-189d-40a6-b614-47d7a8e991f6" name="test_l7rule_create" time="5.856" timestamp="2020-05-31T09:58:00+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7rule.L7RuleAPITest" id="8e15d68d-70e7-4cf3-82bc-9604384654a0" name="test_l7rule_delete" time="11.278" timestamp="2020-05-31T09:58:05+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_healthmonitor.HealthMonitorAPITest" id="284e8d3b-7b2d-4697-9e41-580b3423c0b4" name="test_healthmonitor_show" time="21.652" timestamp="2020-05-31T09:58:08+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7rule.L7RuleAPITest" id="69095254-f106-4fb6-9f54-7a78cc14fb51" name="test_l7rule_list" time="48.313" timestamp="2020-05-31T09:58:17+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_member.MemberAPITest" id="83e0a9f2-491f-46a8-b3ce-6969d70a4e9f" name="test_member_batch_update" time="23.799" timestamp="2020-05-31T09:58:18+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_healthmonitor.HealthMonitorAPITest" id="fa584b2c-f179-4c4e-ad2e-ff51fd1c5973" name="test_healthmonitor_update" time="27.038" timestamp="2020-05-31T09:58:29+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_member.MemberAPITest" id="f129ba5e-a16e-4178-924f-6a9c5b8b1589" name="test_member_delete" time="11.429" timestamp="2020-05-31T09:58:42+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_member.MemberAPITest" id="9ce7ad78-915b-42ce-b0d8-44d88a929f3d" name="test_member_list" time="49.071" timestamp="2020-05-31T09:58:53+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7rule.L7RuleAPITest" id="b80b34c3-09fc-467b-8027-7350adb17070" name="test_l7rule_show" time="6.129" timestamp="2020-05-31T09:59:05+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_l7rule.L7RuleAPITest" id="f8cee23b-89b6-4f3a-a842-1463daf42cf7" name="test_l7rule_update" time="11.613" timestamp="2020-05-31T09:59:11+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="643ef031-c800-45f2-b229-3c8f8b37c829" name="test_load_balancer_delete" time="52.015" timestamp="2020-05-31T09:59:29+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_member.MemberAPITest" id="7674ae04-7e92-44ef-9adf-40718d7ec705" name="test_member_show" time="6.545" timestamp="2020-05-31T09:59:42+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_member.MemberAPITest" id="c07572b8-e853-48f3-a8ea-37fc293a4724" name="test_member_update" time="17.134" timestamp="2020-05-31T09:59:49+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="643ef031-c800-45f2-b229-3c8f8b37c829" name="test_load_balancer_delete_cascade" time="62.260" timestamp="2020-05-31T10:00:21+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_provider.ProviderAPITest" id="8b94e0cc-a24d-4c29-bc8e-53f58214dc67" name="test_provider_list" time="0.254" timestamp="2020-05-31T10:01:16+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="fc2e07a6-9776-4559-90c9-141170d4c397" name="test_load_balancer_failover" time="112.669" timestamp="2020-05-31T10:01:24+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_pool.PoolAPITest" id="7587fe48-87ba-4538-9f03-190911f100ff" name="test_pool_create_standalone" time="5.593" timestamp="2020-05-31T10:01:27+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_pool.PoolAPITest" id="c9c0df79-f07e-428c-ae57-b9d4078eec79" name="test_pool_create_with_listener" time="15.845" timestamp="2020-05-31T10:01:32+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_load_balancer.LoadBalancerScenarioTest" id="a5e2e120-4f7e-4c8b-8aac-cf09cb56711c" name="test_load_balancer_ipv4_CRUD" time="67.077" timestamp="2020-05-31T10:01:38+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_pool.PoolAPITest" id="35ed3800-7a4a-47a6-9b94-c1033fff1112" name="test_pool_delete" time="11.114" timestamp="2020-05-31T10:01:48+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_pool.PoolAPITest" id="6959a32e-fb34-4f3e-be68-8880c6450016" name="test_pool_list" time="92.675" timestamp="2020-05-31T10:01:59+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_load_balancer.LoadBalancerScenarioTest" id="86ffecc4-dce8-46f9-936e-8a4c6bcf3959" name="test_load_balancer_ipv6_CRUD" time="0.000" timestamp="2020-05-31T10:02:45+0000">
      <skipped>IPv6 testing is disabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="61c6343c-a5d2-4b9f-8c7d-34ea83f0596b" name="test_load_balancer_ipv4_create" time="62.291" timestamp="2020-05-31T10:03:16+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_pool.PoolAPITest" id="b7932438-1aea-4175-a50c-984fee1c0cad" name="test_pool_show" time="6.151" timestamp="2020-05-31T10:03:32+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_pool.PoolAPITest" id="7bd0a6bf-57b4-46a6-83ef-f9991896658a" name="test_pool_update" time="17.199" timestamp="2020-05-31T10:03:38+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="fc9996de-4f55-4fc4-b8ef-a4b9170c7078" name="test_load_balancer_ipv6_create" time="0.000" timestamp="2020-05-31T10:04:19+0000">
      <skipped>IPv6 testing is disabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="6546ef3c-c0e2-46af-b892-f795f4d01119" name="test_load_balancer_list" time="181.588" timestamp="2020-05-31T10:04:19+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_member.MemberScenarioTest" id="15c8c3e3-569c-4029-95df-a9f72049e267" name="test_member_CRUD" time="17.952" timestamp="2020-05-31T10:04:20+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_member.MemberScenarioTest" id="b8afb91d-9b85-4569-85c7-03453df8990b" name="test_mixed_member_create" time="0.000" timestamp="2020-05-31T10:04:38+0000">
      <skipped>IPv6 testing is disabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_member.MemberScenarioTest" id="0623aa1f-753d-44e7-afa1-017d274eace7" name="test_mixed_udp_member_create" time="0.000" timestamp="2020-05-31T10:04:38+0000">
      <skipped>IPv6 testing is disabled</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_listener.ListenerScenarioTest" id="4a874014-b7d1-49a4-ac9a-2400b3434700" name="test_listener_CRUD" time="21.407" timestamp="2020-05-31T10:05:52+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_pool.PoolScenarioTest" id="dfa120bf-81b9-4f22-bb5e-7df660c18173" name="test_pool_standalone_CRUD" time="16.074" timestamp="2020-05-31T10:06:27+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_pool.PoolScenarioTest" id="087da8ab-79c7-48ba-871c-5769185cea3e" name="test_pool_with_listener_CRUD" time="16.201" timestamp="2020-05-31T10:06:43+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="826ae612-8717-4c64-a8a7-cb9570a85870" name="test_load_balancer_show" time="52.004" timestamp="2020-05-31T10:07:20+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="105afcba-4dd6-46d6-8fa4-bd7330aa1259" name="test_load_balancer_show_stats" time="62.161" timestamp="2020-05-31T10:08:12+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="60acc1b0-fa46-41f8-b526-c81ae2f42c30" name="test_load_balancer_show_status" time="52.071" timestamp="2020-05-31T10:09:14+0000" />
    <testcase classname="octavia_tempest_plugin.tests.api.v2.test_load_balancer.LoadBalancerAPITest" id="b75a4d15-49d2-4149-a745-635eed1aacc3" name="test_load_balancer_update" time="62.425" timestamp="2020-05-31T10:10:07+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_healthmonitor.HealthMonitorScenarioTest" id="a51e09aa-6e44-4c67-a9e4-df70d0e08f96" name="test_healthmonitor_CRUD" time="16.021" timestamp="2020-05-31T10:12:29+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_l7policy.L7PolicyScenarioTest" id="ffd598d9-d8cd-4586-a749-cde4897e64dd" name="test_l7policy_CRUD" time="16.209" timestamp="2020-05-31T10:14:18+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_l7rule.L7RuleScenarioTest" id="a1c268b9-5304-48c7-9a34-0ef0e8e9307e" name="test_l7rule_CRUD" time="16.355" timestamp="2020-05-31T10:16:17+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_traffic_ops.TrafficOperationsScenarioTest" id="6751135d-e15a-4e22-89f4-bfcc3408d424" name="test_basic_traffic" time="35.983" timestamp="2020-05-31T10:19:08+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_traffic_ops.TrafficOperationsScenarioTest" id="1e459663-2315-4067-bb47-c8a72f4928f0" name="test_basic_udp_traffic" time="28.884" timestamp="2020-05-31T10:19:44+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_traffic_ops.TrafficOperationsScenarioTest" id="a16f8eb4-a77c-4b0e-8b1b-91c237039713" name="test_healthmonitor_traffic" time="69.759" timestamp="2020-05-31T10:20:13+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_traffic_ops.TrafficOperationsScenarioTest" id="80b86513-1a76-4e42-91c9-cb23c879e536" name="test_healthmonitor_udp_traffic" time="79.971" timestamp="2020-05-31T10:21:22+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_traffic_ops.TrafficOperationsScenarioTest" id="3558186d-6dcd-4d9d-b7f7-adc190b66149" name="test_l7policies_and_l7rules" time="113.153" timestamp="2020-05-31T10:22:42+0000" />
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_traffic_ops.TrafficOperationsScenarioTest" id="20b6b671-0101-4bed-a249-9af6ee3aa6d9" name="test_mixed_ipv4_ipv6_members_traffic" time="0.000" timestamp="2020-05-31T10:24:35+0000">
      <skipped>Mixed IPv4/IPv6 member test requires IPv6.</skipped>
    </testcase>
    <testcase classname="octavia_tempest_plugin.tests.scenario.v2.test_traffic_ops.TrafficOperationsScenarioTest" id="56823616-34e1-4e17-beb9-15dd6b1593af" name="test_mixed_ipv4_ipv6_members_udp_traffic" time="0.000" timestamp="2020-05-31T10:24:35+0000">
      <skipped>Mixed IPv4/IPv6 member test requires IPv6.</skipped>
    </testcase>
  </testsuite>
</testsuites>
